#ifndef COORDINATE_SYSTEM_H
#define COORDINATE_SYSTEM_H

#include <qpainter.h>
#include <qpushbutton.h>
#include <qboxlayout.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qcolordialog.h>

#define centerX width() / 1.1
#define centerY height() / 1.1

class CoordinateSystem : public QWidget {
  Q_OBJECT
  QPushButton *button;
  short step = 50;
  QSpinBox *fields[3][2];
  QPainter *painter;
  std::vector<short> lines;
  std::vector<QColor> colors;
  QColorDialog *colordialog;
  bool choosen=0;
protected:
  void paintEvent(QPaintEvent*) override;
public:
  CoordinateSystem(QWidget *parent = nullptr);
private slots:
  void onButtonClick();
  void up();
  void color();
  void clear();
};

#endif // COORDINATE_SYSTEM_H
